## org.apache.batik.dom.svg
Class SVGStylableElement.OverrideStyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration
          org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
              org.apache.batik.css.dom.CSSOMStoredStyleDeclaration
                  org.apache.batik.dom.svg.SVGStylableElement.OverrideStyleDeclaration

All Implemented Interfaces:
  CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.ValueProvider, StyleDeclarationProvider, org.w3c.dom.css.CSSStyleDeclaration

Enclosing class:
  SVGStylableElement

    protected class SVGStylableElement.OverrideStyleDeclaration

extends CSSOMStoredStyleDeclaration

This class is a CSSStyleDeclaration for the override style of the element.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`CSSOMSVGStyleDeclaration.StyleDeclarationColorValue, CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue`

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.StyleDeclarationValue, CSSOMStyleDeclaration.ValueProvider`

Field Summary

Fields inherited from class org.apache.batik.css.dom.CSSOMStoredStyleDeclaration
`declaration`

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`cssEngine`

Fields inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`handler, parentRule, valueProvider, values`

Constructor Summary
`protected` `SVGStylableElement.OverrideStyleDeclaration(CSSEngine eng)` Creates a new OverrideStyleDeclaration.

Method Summary
`void` `propertyChanged(java.lang.String name, java.lang.String value, java.lang.String prio)` Called when a property was changed.
`void` `propertyRemoved(java.lang.String name)` Called when a property was removed.
`void` `textChanged(java.lang.String text)` Called when the value text has changed.

Methods inherited from class org.apache.batik.css.dom.CSSOMStoredStyleDeclaration
`getLength, getStyleDeclaration, getText, getValue, isImportant, item, setStyleDeclaration`

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`createCSSValue`

Methods inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`getCssText, getCSSValue, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, removeProperty, setCssText, setModificationHandler, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGStylableElement.OverrideStyleDeclaration

    protected SVGStylableElement.OverrideStyleDeclaration(CSSEngine eng)

  Creates a new OverrideStyleDeclaration.

Method Detail

### textChanged

    public void textChanged(java.lang.String text)
                     throws org.w3c.dom.DOMException

  Called when the value text has changed.

  Throws:
    `org.w3c.dom.DOMException`

### propertyRemoved

    public void propertyRemoved(java.lang.String name)
                         throws org.w3c.dom.DOMException

  Called when a property was removed.

  Throws:
    `org.w3c.dom.DOMException`

### propertyChanged

    public void propertyChanged(java.lang.String name,
                                java.lang.String value,
                                java.lang.String prio)
                         throws org.w3c.dom.DOMException

  Called when a property was changed.

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.